/*
 * HTML5 Boilerplate
 *
 * What follows is the result of much research on cross-browser styling.
 * Credit left inline and big thanks to Nicolas Gallagher, Jonathan Neal,
 * Kroc Camen, and the H5BP dev community and team.
 *
 * Detailed information about this CSS: h5bp.com/css
 *
 * ==|== normalize ==========================================================
 */


/* =============================================================================
   HTML5 display definitions
   ========================================================================== */

article, aside, details, figcaption, figure, footer, header, hgroup, nav, section { display: block; }
audio, canvas, video { display: inline-block; *display: inline; *zoom: 1; }
audio:not([controls]) { display: none; }
[hidden] { display: none; }


/* =============================================================================
   Links
   ========================================================================== */


/* Improve readability when focused and hovered in all browsers: h5bp.com/h */
a:hover, a:active { outline: 0; }


/* =============================================================================
   Typography
   ========================================================================== */

abbr[title] { border-bottom: 1px dotted; }

b, strong { font-weight: bold; }

blockquote { margin: 1em 40px; }

dfn { font-style: italic; }

hr { display: block; height: 1px; border: 0; border-top: 1px solid #ccc; margin: 1em 0; padding: 0; }

ins { background: #ff9; color: #000; text-decoration: none; }

mark { background: #ff0; color: #000; font-style: italic; font-weight: bold; }

/* Redeclare monospace font family: h5bp.com/j */
pre, code, kbd, samp { font-family: monospace, serif; _font-family: 'courier new', monospace; font-size: 1em; }

/* Improve readability of pre-formatted text in all browsers */
pre { white-space: pre; white-space: pre-wrap; word-wrap: break-word; }

q { quotes: none; }
q:before, q:after { content: ""; content: none; }

small { font-size: 85%; }


/* Position subscript and superscript content without affecting line-height: h5bp.com/k */
sub, sup { font-size: 75%; line-height: 0; position: relative; vertical-align: baseline; }
sup { top: -0.5em; }
sub { bottom: -0.25em; }


/* =============================================================================
   Lists
   ========================================================================== */

ul, ol { margin: 1em 0; padding: 0 0 0 40px; }
dd { margin: 0 0 0 40px; }
nav ul, nav ol { list-style: none; list-style-image: none; margin: 0; padding: 0; }


/* =============================================================================
   Embedded content
   ========================================================================== */

/*
 * 1. Improve image quality when scaled in IE7: h5bp.com/d
 * 2. Remove the gap between images and borders on image containers: h5bp.com/i/440
 */

img { border: 0; -ms-interpolation-mode: bicubic; vertical-align: middle; }

/*
 * Correct overflow not hidden in IE9
 */

svg:not(:root) { overflow: hidden; }


/* =============================================================================
   Figures
   ========================================================================== */

figure { margin: 0; }


/* =============================================================================
   Forms
   ========================================================================== */

form { margin: 0; }
fieldset { border: 0; margin: 0; padding: 0; }

/* Indicate that 'label' will shift focus to the associated form element */
label { cursor: pointer; }

/*
 * 1. Correct color not inheriting in IE6/7/8/9
 * 2. Correct alignment displayed oddly in IE6/7
 */

legend { border: 0; *margin-left: -7px; padding: 0; white-space: normal; }

/*
 * 1. Correct font-size not inheriting in all browsers
 * 2. Remove margins in FF3/4 S5 Chrome
 * 3. Define consistent vertical alignment display in all browsers
 */

button, input, select, textarea { font-size: 100%; margin: 0; vertical-align: baseline; *vertical-align: middle; }

/*
 * 1. Define line-height as normal to match FF3/4 (set using !important in the UA stylesheet)
 */

button, input { line-height: normal; }

/*
 * 1. Display hand cursor for clickable form elements
 * 2. Allow styling of clickable form elements in iOS
 * 3. Correct inner spacing displayed oddly in IE7 (doesn't effect IE6)
 */

button, input[type="button"], input[type="reset"], input[type="submit"] { cursor: pointer; -webkit-appearance: button; *overflow: visible; }

/*
 * Re-set default cursor for disabled elements
 */

button[disabled], input[disabled] { cursor: default; }

/*
 * Consistent box sizing and appearance
 */

input[type="checkbox"], input[type="radio"] { box-sizing: border-box; padding: 0; *width: 13px; *height: 13px; }
input[type="search"] { -webkit-appearance: textfield; -moz-box-sizing: content-box; -webkit-box-sizing: content-box; box-sizing: content-box; }
input[type="search"]::-webkit-search-decoration, input[type="search"]::-webkit-search-cancel-button { -webkit-appearance: none; }

/*
 * Remove inner padding and border in FF3/4: h5bp.com/l
 */

button::-moz-focus-inner, input::-moz-focus-inner { border: 0; padding: 0; }

/*
 * 1. Remove default vertical scrollbar in IE6/7/8/9
 * 2. Allow only vertical resizing
 */

textarea { overflow: auto; vertical-align: top; resize: vertical; }

/* Colors for form validity */
input:valid, textarea:valid {  }
input:invalid, textarea:invalid { background-color: #f0dddd; }


/* =============================================================================
   Tables
   ========================================================================== */

table { border-collapse: collapse; border-spacing: 0; }
td { vertical-align: top; }


/* =============================================================================
   Chrome Frame Prompt
   ========================================================================== */

.chromeframe { margin: 0.2em 0; background: #ccc; color: black; padding: 0.2em 0; }



/* =============================================================================
   Typefaces
   ========================================================================== */

/* Generated by Font Squirrel (http://www.fontsquirrel.com) on March 14, 2012 */

@font-face {
    font-family: 'OpenSansRegular';
    src: url('../fonts/opensans-regular-webfont.eot');
    src: url('../fonts/opensans-regular-webfont.eot?#iefix') format('embedded-opentype'),
         url('../fonts/opensans-regular-webfont.woff') format('woff'),
         url('../fonts/opensans-regular-webfont.ttf') format('truetype'),
         url('../fonts/opensans-regular-webfont.svg#OpenSansRegular') format('svg');
}

@font-face {
    font-family: 'OpenSansItalic';
    src: url('../fonts/opensans-italic-webfont.eot');
    src: url('../fonts/opensans-italic-webfont.eot?#iefix') format('embedded-opentype'),
         url('../fonts/opensans-italic-webfont.woff') format('woff'),
         url('../fonts/opensans-italic-webfont.ttf') format('truetype'),
         url('../fonts/opensans-italic-webfont.svg#OpenSansItalic') format('svg');
}


@font-face {
    font-family: 'OpenSansLight';
    src: url('../fonts/opensans-light-webfont.eot');
    src: url('../fonts/opensans-light-webfont.eot?#iefix') format('embedded-opentype'),
         url('../fonts/opensans-light-webfont.woff') format('woff'),
         url('../fonts/opensans-light-webfont.ttf') format('truetype'),
         url('../fonts/opensans-light-webfont.svg#OpenSansLight') format('svg');
}


@font-face {
    font-family: 'OpenSansLightItalic';
    src: url('../fonts/opensans-lightitalic-webfont.eot');
    src: url('../fonts/opensans-lightitalic-webfont.eot?#iefix') format('embedded-opentype'),
         url('../fonts/opensans-lightitalic-webfont.woff') format('woff'),
         url('../fonts/opensans-lightitalic-webfont.ttf') format('truetype'),
         url('../fonts/opensans-lightitalic-webfont.svg#OpenSansLightItalic') format('svg');
}


@font-face {
    font-family: 'OpenSansBold';
    src: url('../fonts/opensans-bold-webfont.eot');
    src: url('../fonts/opensans-bold-webfont.eot?#iefix') format('embedded-opentype'),
         url('../fonts/opensans-bold-webfont.woff') format('woff'),
         url('../fonts/opensans-bold-webfont.ttf') format('truetype'),
         url('../fonts/opensans-bold-webfont.svg#OpenSansBold') format('svg');
		 font-weight:bold;
}

@font-face {
    font-family: 'OpenSansBoldItalic';
    src: url('../fonts/opensans-bolditalic-webfont.eot');
    src: url('../fonts/opensans-bolditalic-webfont.eot?#iefix') format('embedded-opentype'),
         url('../fonts/opensans-bolditalic-webfont.woff') format('woff'),
         url('../fonts/opensans-bolditalic-webfont.ttf') format('truetype'),
         url('../fonts/opensans-bolditalic-webfont.svg#OpenSansBoldItalic') format('svg');
		 font-weight:bold;
}


/* =============================================================================
   Primary Styles - ANDREW JOHNSON
   ========================================================================== */

/* Style Guide
Text: #191919;
Background: #f7f7f7;
Highlights: #CCE3F0;
Darks: #406B9C;
*/

html {
font-size:14px;
font-size:62.5%;

}

address {
font-style:normal;
line-height:normal;
font-weight:400;
font-variant:normal;
text-transform:none;
}

#canvasBg {
position:fixed;
}

.hide {
display:hidden;
visibility:hidden;
}

header img {
display:block;
}

.logo {
width:550px;
display:block;
alignment-baseline:baseline;
}

.logo img:hover {
opacity:0.5;
}

/* Assign Separator to p in order to add separator?*/
.project {
margin-bottom:2em;
margin-top:2em;
}

.bold {
font-family:OpenSansBold;
}

/* ============================== */
/* ! Layout for desktop version   */
/* ============================== */

header img {
max-width:50%;
/*Find a better approach to how this scales */
position:relative;
}


body {
font-family:OpenSansRegular;
font-size:1.2em;

background-color:#f7f7f7;
background:url(../images/gradient.svg) center center fixed no-repeat; /* SVG BACKGROUND - Need to investigate Chrome Bug */

-moz-background-size:cover;
-webkit-background-size:cover;
background-size:cover; 

display:block;
background-position:50% 0;
-moz-background-size:cover;
-webkit-background-size:cover;
background-size:cover; 


}

/*-o-transition:all .2s linear;
-moz-transition:all .2s linear;
-webkit-transition:all .2s linear;
transition:all .2s linear; */

img {

}

/*
-o-transition:all .2s linear;
-moz-transition:all .2s linear;
-webkit-transition:all .2s linear;
transition:all .2s linear;  Prevents Preloader 
*/

/* No text left aligned on desktop version. Media quieries change this */
.container p {
line-height:2em;
/* text-align: left; */
background:tranparent;
margin:.8em 0 0;
}

#topbar nav p {
margin:20px 0 0;
/* margin:23px 0 0; - For larger type */
}

#topbar {
padding-top:2em;
padding-bottom:.7em;
}

#centercontent {
padding-top:.7em;
padding-bottom:2em;
margin:0 auto;
text-align:center;
position:relative;
}

#lowercontent {
padding-top:2em;
padding-bottom:4em;
}

#lowercontent .container .row .sixcol {
padding-bottom:2em;
}

footer {
padding-top:0;
padding-bottom:1.5em;
}


/* H's */

h1 {
}

h2 {
font-family:OpenSansBold;
font-size:2em;
line-height:1em;
margin-top:.8em;
margin-bottom:.1em;
letter-spacing:-.015em;
}

h3 {
font-family:OpenSansLight;
font-size:1em;
font-size:100%;
line-height:1em;
}

h4 {
font-family:OpenSansLightItalic;
font-size:2em;
line-height:1em;
}

/* Disables all Bullets & Shifts links to horizontal - inside the HTML5 Nav Tag */
.container .row nav ul li {
list-style:url(none) none;
display:inline;
font-family:OpenSansLight;
margin:0;
}

.container .row nav {
text-align:center;
}

/* Targets the Top Nav. How will this apply to the blog sidebar though? */
.container .row nav ul {
word-spacing:2em;
}

/* Link Styles  */
.container .row a {
text-decoration:none;
color:#406B9C;
}

/* link, visited, active, hover styles - inside the HTML5 Nav Tag  */
.container .row nav a:link,.container .row nav a:visited {
color:#191919;
}

.container .row a:link,.container .row a:visited {
color:#406B9C;
}

.container .row nav a:active {
color:#406B9C;
}

.container .row nav a:hover {
color:#406B9C;
}

#flexslidecontainer {
width:70%;
position:relative;
overflow:visible;
margin:0 auto;
text-align:center;
}


/* CENTER CONTENT */

.centertextbox {
width:62%;
position:relative;
margin:0 auto;
text-align:center;  /* THIS IS WHAT DRAGS EVERYTHING TO LEFT! Overrides centercontent */
}

#centercontent .container .row .twelvecol.last .centertextbox {
margin-bottom:5em;
}

#centercontent .container .row .threecol h3 {
margin-bottom:4em;
display:block;

}

/* THUMBNAILS */

.thumbnail {
width:80%;
display:block;
position:relative;
margin:0 auto;
text-align:center;
margin-bottom:.5em;
}

.thumbnail img {
-webkit-border-radius:.5em;
-moz-border-radius:.5em;
border-radius:.5em;
margin-top:.5em;
}

/* -o-transition:all .8s linear;
-moz-transition:all .8s linear;
-webkit-transition:all .8s linear;
transition:all .8s linear; 
Prevents Preloader */


.thumbnail img:hover {
-webkit-box-shadow:0 0 .95em rgba(25,25,25,5), inset 0 0 20px rgba(247,247,247,1);
-moz-box-shadow:0 0 .95em rgba(25,25,25,5), rgba(247,247,247,1);
box-shadow:0 0 .95em rgba(25,25,25,5), rgba(247,247,247,1);
}


/* ============================= */
/* ! Layout for smaller browser  */
/* ! Decreases word spacing      */
/* ============================= */
@media (max-width: 1240px) {
	
.container .row nav ul {
word-spacing:1em;
}

.thumbnail {
width:70%;
}

#centercontent .container .row .threecol h3 {
margin-bottom:2.5em;
}

}

/* ============================= */
/* ! Layout for smaller browser  */
/* ! Decreases word spacing      */
/* ============================= */
@media (max-width: 1040px) {
.container .row nav ul li {
font-size: .9em;
list-style:url(none) none;
display:inline;
font-family:OpenSansLight;
margin:0;
}

h1 {
}

h2 {
font-size:1.8em;
line-height:1em;
margin-top:.8em;
margin-bottom:.1em;
}

h3 {
font-size:.8em;
line-height:1em;
}

h4 {
font-size:1.8em;
line-height:1em;
margin-bottom:-.5em;
}

}


/* ============================= */   /* Combine With Other CSS 1140 */
/* ! Layout for mobile version   */
/* ============================= */
@media handheld, only screen and (max-width: 767px) {
	
.logo {
width:100%;
}

header img {
max-width:100%;
}

body {
font-family:OpenSansRegular;
font-size:1.2em;
color:#191919;
background-color:#f7f7f7;
}

/* -o-transition:all .2s linear;
-moz-transition:all .2s linear;
-webkit-transition:all .2s linear;
transition:all .2s linear; */

.container p {
line-height:2em;
background:tranparent;
margin:20px 0 0;
}

/* Centers */
#topbar {
padding-top:1.5em;
padding-bottom:.7em;
}

#centercontent {
/* CENTERS ALL CONTENT */
padding-top:.7em;
padding-bottom:2em;
margin:0 auto;
text-align: center;  /* THIS IS WHAT DRAGS EVERYTHING TO LEFT! Overrides centercontent */
position:relative;
}

#lowercontent {
padding-top:2em;
padding-bottom:2em;
}

#lowercontent .container .row .sixcol {
padding-bottom:4em;
}

footer {
padding-top:0;
padding-bottom:3em;
}

footer nav {
padding-top:0;
font-size:2em;
text-transform:uppercase;
}

h1 {
}

h2 {
font-size:1.4em;
line-height:1em;
margin-top:.8em;
margin-bottom:.1em;
}

h3 {
font-size:1em;
line-height:1em;
}

h4 {
font-size:1.8em;
line-height:1em;
margin-bottom:-.5em;
}

/* Disables all Bullets & Shifts links to horizontal - inside the HTML5 Nav Tag */
.container .row nav ul li {
list-style:url(none) none;
display:inline;
margin:0;
font-size:1.4em;
}

.container .row nav {
text-align:center;
}

/* Targets the Nav because of the ul. How will this apply to the blog sidebar though? */
.container .row nav ul {
word-spacing:1em;
}

/* Link Styles  */
.container .row a {
text-decoration:none;
color:#406B9C;
}

#flexslidecontainer {
width:78%;
position:relative;
overflow:visible;
margin:0 auto;
text-align:center;
}

.centertextbox {
width:100%;
position:relative;
margin:0 auto;
text-align:center;
}

#centercontent .container .row .twelvecol.last .centertextbox {
margin-bottom:4em;
}

.thumbnail {
width:90%;
display:block;
position:relative;
overflow:visible;
margin:0 auto;
text-align:center;
margin-bottom:.5em;
}

}

/* ============================= */
/* ! Layout for mobile version   */
/* ============================= */
@media handheld, only screen and (max-width: 321px) {
	
	.container .row nav ul li {
	list-style: url(none) none;
	display: inline;
	font-family: 'OpenSansLight';
	margin: 0;
	font-size: 1.2em;
}
	

	
}



/* ========================================== */
/* ! Provide higher res assets for iPhone 4   */
/* ========================================== */
@media only screen and (-webkit-min-device-pixel-ratio: 2) { 
}


/* ==|== non-semantic helper classes ========================================
   Please define your styles before this section.
   ========================================================================== */

/* For image replacement */
.ir { display: block; border: 0; text-indent: -999em; overflow: hidden; background-color: transparent; background-repeat: no-repeat; text-align: left; direction: ltr; *line-height: 0; }
.ir br { display: none; }

/* Hide from both screenreaders and browsers: h5bp.com/u */
.hidden { display: none !important; visibility: hidden; }

/* Hide only visually, but have it available for screenreaders: h5bp.com/v */
.visuallyhidden { border: 0; clip: rect(0 0 0 0); height: 1px; margin: -1px; overflow: hidden; padding: 0; position: absolute; width: 1px; }

/* Extends the .visuallyhidden class to allow the element to be focusable when navigated to via the keyboard: h5bp.com/p */
.visuallyhidden.focusable:active, .visuallyhidden.focusable:focus { clip: auto; height: auto; margin: 0; overflow: visible; position: static; width: auto; }

/* Hide visually and from screenreaders, but maintain layout */
.invisible { visibility: hidden; }

/* Contain floats: h5bp.com/q */
.clearfix:before, .clearfix:after { content: ""; display: table; }
.clearfix:after { clear: both; }
.clearfix { *zoom: 1; }



/* ==|== print styles =======================================================
   Print styles.
   Inlined to avoid required HTTP connection: h5bp.com/r
   ========================================================================== */

@media print {
  * { background: transparent !important; color: black !important; box-shadow:none !important; text-shadow: none !important; filter:none !important; -ms-filter: none !important; } /* Black prints faster: h5bp.com/s */
  a, a:visited { text-decoration: underline; }
  a[href]:after { content: " (" attr(href) ")"; }
  abbr[title]:after { content: " (" attr(title) ")"; }
  .ir a:after, a[href^="javascript:"]:after, a[href^="#"]:after { content: ""; }  /* Don't show links for images, or javascript/internal links */
  pre, blockquote { border: 1px solid #999; page-break-inside: avoid; }
  thead { display: table-header-group; } /* h5bp.com/t */
  tr, img { page-break-inside: avoid; }
  img { max-width: 100% !important; }
  @page { margin: 0.5cm; }
  p, h2, h3 { orphans: 3; widows: 3; }
  h2, h3 { page-break-after: avoid; }
}

